Hooks:PostHook(WeaponFactoryTweakData, "init", "weaponfactorytweakdata", function(self)

	self.parts.wpn_fps_upg_m_10p5.custom_stats = {
		AMMO_MAX = 150,
		armor_piercing_add = 0.5,
		can_shoot_through_enemy = true,
		can_shoot_through_shield = false,
		can_shoot_through_wall = false }
		self.parts.wpn_fps_upg_m_10p5.override_weapon = { AMMO_PICKUP = {6,8} }
	self.parts.wpn_fps_upg_m_10p5.forbids = {"wpn_fps_upg_am_rip",}

	self.parts.wpn_fps_upg_m_50wolf.override_weapon = {
		AMMO_PICKUP = {1,2},
		CLIP_AMMO_MAX = 18,
		AMMO_MAX = 50,
		armor_piercing_add = 1,
		can_shoot_through_enemy = true,
		can_shoot_through_shield = true,
		can_shoot_through_wall = true, }
	self.parts.wpn_fps_upg_m_50wolf.forbids = { "wpn_fps_upg_am_m995", "wpn_fps_upg_am_7n39", }

	self.parts.wpn_fps_upg_m_mutant.override_weapon = {
		AMMO_PICKUP = {1,2},
		AMMO_MAX = 150,
		CLIP_AMMO_MAX = 26,
		armor_piercing_add = 1,
		can_shoot_through_enemy = true,
		can_shoot_through_shield = false,
		can_shoot_through_wall = false, }
	self.parts.wpn_fps_upg_m_mutant.forbids = { "wpn_fps_upg_am_m995", "wpn_fps_upg_am_300blk" }

	self.parts.wpn_fps_upg_m_tecpag.override_weapon = {
		AMMO_PICKUP = {4,8},
		AMMO_MAX = 150,
		CLIP_AMMO_MAX = 26,
		can_shoot_through_enemy = true,
		can_shoot_through_shield = false,
		can_shoot_through_wall = false, }
	self.parts.wpn_fps_upg_m_tecpag.forbids = { "wpn_fps_upg_am_bpc" }

	self.parts.wpn_fps_upg_m_vecglock.override_weapon = {
		CLIP_AMMO_MAX = 20,
		AMMO_MAX = 165,
		damage = 70,
		AMMO_PICKUP = {5,10},
		armor_piercing_add = 0,
		can_shoot_through_enemy = false,
		can_shoot_through_shield = false,
		can_shoot_through_wall = false, }
	self.parts.wpn_fps_upg_m_vecglock.requires = { "wpn_fps_upg_am_rip" }

	self.parts.wpn_fps_upg_m_akdrandrum5.override_weapon = {
		AMMO_PICKUP = {2,4},
		AMMO_MAX = 150,
		CLIP_AMMO_MAX = 45,
		armor_piercing_add = 1,
		can_shoot_through_enemy = true,
		can_shoot_through_shield = false,
		can_shoot_through_wall = false, }
	self.parts.wpn_fps_upg_m_akdrandrum5.forbids = { "wpn_fps_upg_am_bpc" }

	self.parts.wpn_fps_upg_m_shodrum.override_weapon = {
		AMMO_PICKUP = {0.6,1},
		CLIP_AMMO_MAX = 30,
		AMMO_MAX = 60,
		can_shoot_through_enemy = false,
		can_shoot_through_shield = false,
		can_shoot_through_wall = false, }

	self.parts.wpn_fps_upg_m_xlshodrum.override_weapon = {
		AMMO_PICKUP = {0.6,1},
		CLIP_AMMO_MAX = 60,
		AMMO_MAX = 60,
		can_shoot_through_enemy = false,
		can_shoot_through_shield = false,
		can_shoot_through_wall = false, }

	self.parts.wpn_fps_upg_fg_srfg.forbids = { "wpn_fps_m4_uupg_b_sd", "wpn_fps_sho_saiga_b_short" }

	self.wpn_fps_snp_qbu88.uses_parts = { "wpn_fps_upg_ns_ass_smg_medium" }

	self.wpn_fps_smg_olympic.allow_parts = { "wpn_fps_m4_uupg_upper_radian", "wpn_fps_m4_uupg_lower_radian" }


	self.parts.wpn_fps_upg_m_arlock.override_weapon = {
		CLIP_AMMO_MAX = 21,
		AMMO_MAX = 165,
		damage = 70,
		AMMO_PICKUP = {8,16},
		armor_piercing_add = 0,
		can_shoot_through_enemy = false,
		can_shoot_through_shield = false,
		can_shoot_through_wall = false, }
		self.parts.wpn_fps_upg_m_arlock.forbids = { "wpn_fps_upg_am_m995", "wpn_fps_upg_am_300blk", "wpn_fps_upg_am_7n39", "wpn_fps_upg_am_m61m4" }

	self.parts.wpn_fps_upg_m_vecpag.override_weapon = {
		CLIP_AMMO_MAX = 50,
		AMMO_MAX = 100,
		AMMO_PICKUP = {2,4} }

	self.parts.wpn_fps_smg_mp7_m_extended.override_weapon = {
		CLIP_AMMO_MAX = 28,
		AMMO_MAX = 120,
		AMMO_PICKUP = {1, 4},
		can_shoot_through_enemy = false,
		can_shoot_through_wall = false,
		can_shoot_through_shield = true,
		armor_piercing_chance = 1, }

	self.parts.wpn_fps_upg_m_scar556.override_weapon = {
		AMMO_PICKUP = {4,8},
		AMMO_MAX = 150,
		CLIP_AMMO_MAX = 26,
		can_shoot_through_enemy = true,
		can_shoot_through_shield = false,
		can_shoot_through_wall = false, }
		self.parts.wpn_fps_upg_m_scar556.forbids = { "wpn_fps_upg_am_m61" }

	self.parts.wpn_fps_upg_a_custom_free.override_weapon = {
		can_shoot_through_enemy = false,
		can_shoot_through_shield = false,
		can_shoot_through_wall = false, }

end )